Loading...
Searching...
No Matches
Dune::cpgrid::Intersection Class Reference

`#include <Intersection.hpp>`

Inheritance diagram for Dune::cpgrid::Intersection:

## Public Types

enum | { dimension = 3 }
enum | { dimensionworld = 3 }
enum | { mydimension = 2 }
typedef cpgrid::Entity< 0 > | Entity
typedef cpgrid::Geometry< 2, 3 > | Geometry
typedef cpgrid::Geometry< 2, 3 > | LocalGeometry
typedef double | ctype
typedef FieldVector< ctype, 2 > | LocalCoordinate
typedef FieldVector< ctype, 3 > | GlobalCoordinate

## Public Member Functions

| Intersection ()
| Intersection (const CpGridData &grid, const EntityRep< 0 > &cell, int subindex, bool update_now=true)
bool | operator== (const Intersection &other) const
bool | operator!= (const Intersection &other) const
bool | boundary () const
int | boundaryId () const
| Returns the boundary id of this intersection.
int | boundarySegmentIndex () const
| Returns the boundary segment index of this intersection.
bool | neighbor () const
Entity | inside () const
Entity | outside () const
bool | conforming () const
const LocalGeometry & | geometryInInside () const
const LocalGeometry & | geometryInOutside () const
Geometry | geometry () const
GeometryType | type () const
int | indexInInside () const
| Local index of codim 1 entity in the inside() entity where intersection is contained in.
int | indexInOutside () const
| Local index of codim 1 entity in outside() entity where intersection is contained in.
FieldVector< ctype, 3 > | outerNormal (const FieldVector< ctype, 2 > &) const
FieldVector< ctype, 3 > | integrationOuterNormal (const FieldVector< ctype, 2 > &unused) const
FieldVector< ctype, 3 > | unitOuterNormal (const FieldVector< ctype, 2 > &) const
FieldVector< ctype, 3 > | centerUnitOuterNormal () const
int | id () const

## Protected Member Functions

void | increment ()
void | update ()
void | setAtEnd ()
bool | isAtEnd () const
int | nbcell () const

## Protected Attributes

const CpGridData * | pgrid_
int | index_
int | subindex_
OrientedEntityTable< 0, 1 >::row_type | faces_of_cell_
int | nbcell_
bool | is_on_boundary_

## Detailed Description

Todo
  Doc me!

Template Parameters

## Member Typedef Documentation

## Entity

typedef cpgrid::Entity<0> Dune::cpgrid::Intersection::Entity

Todo
  Doc me!

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Todo
  Doc me!

## Constructor & Destructor Documentation

## Intersection() [1/2]

Dune::cpgrid::Intersection::Intersection | ( |  | ) |

inline

Todo
  Doc me!

Parameters

## Intersection() [2/2]

Dune::cpgrid::Intersection::Intersection | ( | const CpGridData & | grid,
|  | const EntityRep< 0 > & | cell,
|  | int | subindex,
|  | bool | update_now = true )

Todo
  Doc me!

Parameters

## Member Function Documentation

## boundary()

bool Dune::cpgrid::Intersection::boundary | ( |  | ) | const

inline

Todo
  Doc me!

Parameters

return

## centerUnitOuterNormal()

FieldVector< Intersection::ctype, 3 > Dune::cpgrid::Intersection::centerUnitOuterNormal | ( |  | ) | const

Todo
  Doc me!

Parameters

return

## conforming()

bool Dune::cpgrid::Intersection::conforming | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## geometry()

Intersection::Geometry Dune::cpgrid::Intersection::geometry | ( |  | ) | const

Todo
  Doc me!

Returns

## geometryInInside()

const LocalGeometry & Dune::cpgrid::Intersection::geometryInInside | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## geometryInOutside()

const LocalGeometry & Dune::cpgrid::Intersection::geometryInOutside | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## inside()

Intersection::Entity Dune::cpgrid::Intersection::inside | ( |  | ) | const

Todo
  Doc me!

Returns

## integrationOuterNormal()

FieldVector< Intersection::ctype, 3 > Dune::cpgrid::Intersection::integrationOuterNormal | ( | const FieldVector< ctype, 2 > & | unused | ) | const

Todo
  Doc me!

Parameters

return

## neighbor()

bool Dune::cpgrid::Intersection::neighbor | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## operator!=()

bool Dune::cpgrid::Intersection::operator!= | ( | const Intersection & | other | ) | const

inline

Todo
  Doc me!

Parameters

return

## operator==()

bool Dune::cpgrid::Intersection::operator== | ( | const Intersection & | other | ) | const

inline

Todo
  Doc me!

Parameters

return

## outerNormal()

FieldVector< Intersection::ctype, 3 > Dune::cpgrid::Intersection::outerNormal | ( | const FieldVector< ctype, 2 > & |  | ) | const

Todo
  Doc me!

Parameters

return

## outside()

Intersection::Entity Dune::cpgrid::Intersection::outside | ( |  | ) | const

Todo
  Doc me!

Returns

## type()

GeometryType Dune::cpgrid::Intersection::type | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## unitOuterNormal()

FieldVector< Intersection::ctype, 3 > Dune::cpgrid::Intersection::unitOuterNormal | ( | const FieldVector< ctype, 2 > & |  | ) | const

Todo
  Doc me!

Parameters

return

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Intersection.hpp
- opm/grid/cpgrid/Intersection.cpp